## qlandkartegt 1.2.3

=== CMakeLists.txt ===
project(QLandkarteGT)

# Required cmake version
cmake_minimum_required(VERSION 2.6.0)

set(APPLICATION_NAME ${PROJECT_NAME})

set(APPLICATION_VERSION_MAJOR "1")
set(APPLICATION_VERSION_MINOR "2")
set(APPLICATION_VERSION_PATCH "3")

add_definitions(-DVER_MAJOR=${APPLICATION_VERSION_MAJOR} -DVER_MINOR=${APPLICATION_VERSION_MINOR} -DVER_STEP=${APPLICATION_VERSION_PATCH})

set(EXECUTABLE_OUTPUT_PATH ${CMAKE_BINARY_DIR}/bin)
if (APPLE)
  set(PROGNAME "QLandkarte GT")
  set(CONFIGDIR "Library/Application Support/${PROGNAME}/")
  set(MAC_BUNDLE_PATH ${EXECUTABLE_OUTPUT_PATH}/${PROGNAME}.app)
  set(MAC_ICON_FILE qlandkartegt.icns)
  set(MACOSX_BUNDLE_SHORT_VERSION_STRING ${APPLICATION_VERSION_MAJOR}.${APPLICATION_VERSION_MINOR}.${APPLICATION_VERSION_PATCH})
  set(MACOSX_BUNDLE_ICON_FILE ${MAC_ICON_FILE})
  set(MACOSX_BUNDLE_BUNDLE_NAME ${PROGNAME})
  set(MACOSX_BUNDLE_BUNDLE_VERSION ${APPLICATION_VERSION_MAJOR}.${APPLICATION_VERSION_MINOR})
  set(MACOSX_BUNDLE_GUI_IDENTIFIER org.qlandkarte.QLandkarteGT)
else(APPLE)
  set(PROGNAME qlandkartegt)
  set(CONFIGDIR ".config/QLandkarteGT/")
endif(APPLE)
if(MSVC)
  # Add link-time code generation to improve performance
  set(CMAKE_CXX_FLAGS_RELEASE "${CMAKE_CXX_FLAGS_RELEASE} /GL")
  set(CMAKE_EXE_LINKER_FLAGS_RELEASE    "${CMAKE_EXE_LINKER_FLAGS_RELEASE} /LTCG")
  set(CMAKE_MODULE_LINKER_FLAGS_RELEASE "${CMAKE_MODULE_LINKER_FLAGS_RELEASE} /LTCG")
  set(CMAKE_SHARED_LINKER_FLAGS_RELEASE "${CMAKE_SHARED_LINKER_FLAGS_RELEASE} /LTCG")
endif(MSVC)

# where to look first for cmake modules, before ${CMAKE_ROOT}/Modules/ is checked
set(CMAKE_MODULE_PATH
  ${CMAKE_SOURCE_DIR}/cmake/Modules
)

# add definitions
include(DefineCMakeDefaults)
include(DefineCompilerFlags)
include(DefineInstallationPaths)
include(DefineOptions.cmake)
include(CPackConfig.cmake)

# config.h generation
if (NOT WIN32)
SET (NATIVE_FILE_DIALOG ON CACHE BOOL "Use OS native file dialog")
else (NOT WIN32)
SET (NATIVE_FILE_DIALOG OFF CACHE BOOL "Use OS native file dialog")
endif (NOT WIN32)

if(NATIVE_FILE_DIALOG)
    set(FILEDIALOGFLAGS "0")
else(NATIVE_FILE_DIALOG)
    set(FILEDIALOGFLAGS "QFileDialog::DontUseNativeDialog")
endif(NATIVE_FILE_DIALOG)

include(ConfigureChecks.cmake)
configure_file(config.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config.h)

add_subdirectory(3rdparty/SerialPort)
add_subdirectory(3rdparty/QMKToolBox)
add_subdirectory(3rdparty/QZip)
add_subdirectory(3rdparty/QTextHtmlExporter)
add_subdirectory(3rdparty/getopt)
add_subdirectory(3rdparty/map2gcm)
add_subdirectory(src)

if (UNIX AND NOT WIN32 AND NOT APPLE)
  install(
    FILES
      qlandkartegt.desktop
    DESTINATION
      ${XDG_APPS_DIR}
  )

  install(
    FILES
      src/icons/qlandkartegt.png
    DESTINATION
      ${DATA_INSTALL_PREFIX}/pixmaps
  )

  install(
    FILES
      qlandkartegt.1
    DESTINATION
      ${MAN_INSTALL_DIR}/man1
  )
endif (UNIX AND NOT WIN32 AND NOT APPLE)

CONFIGURE_FILE(
  "${CMAKE_CURRENT_SOURCE_DIR}/cmake_uninstall.cmake.in"
  "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake"
  IMMEDIATE @ONLY)

ADD_CUSTOM_TARGET(uninstall
  "${CMAKE_COMMAND}" -P "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake")

=== src/CMakeLists.txt ===
project(qlandkarteqt-binary)

option(WITH_OPENGL "BUILD OPENGL" ON)
option(WITH_EXIF "BUILD EXIF" ON)
option(WITH_DMTX "BUILD DMTX" ON)
option(WITH_GPSD "BUILD_GPSD" ON)

find_package(Qt4 REQUIRED)
if(WITH_OPENGL)
    find_package(OpenGL REQUIRED)
endif(WITH_OPENGL)

find_package(GDAL REQUIRED)
find_package(PROJ REQUIRED)
if(WITH_EXIF)
    find_package(EXIF)
endif(WITH_EXIF)
if(WITH_DMTX)
    find_package(DMTX)
endif(WITH_DMTX)
if(WITH_GPSD)
    find_package(GPSD)
endif(WITH_GPSD)

if (NOT WIN32)
  find_program(GDALWARP gdalwarp DOC "full path of the gdalwarp application")
  find_program(GDALTRANSLATE gdal_translate DOC "full path of the gdal_translate application")
  find_program(GDALADDO gdaladdo DOC "full path of the gdaladdo application")
  find_program(GPSBABEL gpsbabel DOC "full path of the gpsbabel application")
else (NOT WIN32)
  set(GDALWARP "gdalwarp.exe")
  set(GDALTRANSLATE "gdal_translate.exe")
  set(GDALADDO "gdaladdo.exe")
  set(GPSBABEL "gpsbabel.exe")
endif (NOT WIN32)

if(GDALWARP)
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -DGDALWARP=\\\"${GDALWARP}\\\"")
else(GDALWARP)
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -DGDALWARP=\\\"gdalwarp\\\"")
endif(GDALWARP)

if(GDALTRANSLATE)
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -DGDALTRANSLATE=\\\"${GDALTRANSLATE}\\\"")
else(GDALTRANSLATE)
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -DGDALTRANSLATE=\\\"gdal_translate\\\"")
endif(GDALTRANSLATE)

if(GDALADDO)
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -DGDALADDO=\\\"${GDALADDO}\\\"")
else(GDALADDO)
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -DGDALADDO=\\\"gdaladdo\\\"")
endif(GDALADDO)


if(GPSBABEL)
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -DGPSBABEL=\\\"${GPSBABEL}\\\"")
else(GPSBABEL)
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -DGPSBABEL=\\\"gpsbabel\\\"")
endif(GPSBABEL)

if (NOT WIN32)
  find_program(MAP2JNX map2jnx DOC "full path of the map2jnx application")
  if(MAP2JNX)
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -DMAP2JNX=\\\"${MAP2JNX}\\\"")
  else(MAP2JNX)
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -DMAP2JNX=\\\"map2jnx\\\"")
  endif(MAP2JNX)
endif (NOT WIN32)


include(${QT_USE_FILE})

set(qlandkarte_SRCS
    main.cpp
    mitab.cpp
    tcxreader.cpp
    CActions.cpp
    CMenus.cpp
    GeoMath.cpp
    WptIcons.cpp
    CResources.cpp
    CCopyright.cpp
    CMainWindow.cpp
    CCanvas.cpp
    CCanvasUndoCommandZoom.cpp
    CStatusDEM.cpp
    IMouse.cpp
    CMouseMoveMap.cpp
    CMouseZoomMap.cpp
    CMouseSelMap.cpp
    CMouseAddWpt.cpp
    CMouseMoveWpt.cpp
    CMouseEditWpt.cpp
    CMouseRefPoint.cpp
    CMouseCutTrack.cpp
    CMouseSelTrack.cpp
    CMouseAddText.cpp
    CMouseAddTextBox.cpp
    CMouseAddDistance.cpp
    CMouseOverlay.cpp
    CMouseColorPicker.cpp
    IMap.cpp
    CMapNoMap.cpp
    CMapOSM.cpp
    CMapOSMType.cpp
    CMapDEM.cpp
    CMapFile.cpp
    CMapLevel.cpp
    CMapQMAP.cpp
    CMapQMAPExport.cpp
    CMapRaster.cpp
    CMapGeoTiff.cpp
    IMapSelection.cpp
    CMapSelectionRaster.cpp
    CMapSelectionGarmin.cpp
    CMapSearchWidget.cpp
    CMapSearchCanvas.cpp
    CMapSearchThread.cpp
    CMegaMenu.cpp
    IDB.cpp
    CWpt.cpp
    CWptDB.cpp
    CWptToolWidget.cpp
    CSearch.cpp
    CSearchDB.cpp
    CSearchToolWidget.cpp
    CDlgConfig.cpp
    CDlgEditWpt.cpp
    CDlgWptIcon.cpp
    CDlgEditMapLevel.cpp
    CDlgCombineTracks.cpp
    CDlgCombineDistOvl.cpp
    CDlgProjWizzard.cpp
    CDlgEditText.cpp
    CDlgCreateWorldBasemap.cpp
    CDlgDelWpt.cpp
    CDlgConvertToTrack.cpp
    CDlgEditRoute.cpp
    CDlgMapTDBConfig.cpp
    CDlgMapQMAPConfig.cpp
    CDlgMapJNXConfig.cpp
    CDlgMapOSMConfig.cpp
    CDlgScreenshot.cpp
    CDlgTrackFilter.cpp
    CDlgSetupGarminIcons.cpp
    CDlgConfig3D.cpp
    CDlgExport.cpp
    CDlgWpt2Rte.cpp
    CQlb.cpp
    CGpx.cpp
    IDevice.cpp
    CDeviceQLandkarteM.cpp
    CDeviceGarmin.cpp
    CDeviceNMEA.cpp
    CCreateMapOSM.cpp
    CCreateMapQMAP.cpp
    CCreateMapGeoTiff.cpp
    CCreateMapGridTool.cpp
    CCreateMapFineTune.cpp
    CMapUndoCommandMove.cpp
    CMapDB.cpp
    CMapToolWidget.cpp
    CMapEditWidget.cpp
    CUndoStackModel.cpp
    CUndoStackView.cpp
    CTrackUndoCommandDelete.cpp
    CTrackUndoCommandDeletePts.cpp
    CTrackUndoCommandPurgePts.cpp
    CTrackUndoCommandSelect.cpp
    CTrack.cpp
    CTrackDB.cpp
    CTrackToolWidget.cpp
    CTrackEditWidget.cpp
    ITrackStat.cpp
    CTrackStatProfileWidget.cpp
    CTrackStatSpeedWidget.cpp
    CTrackStatTraineeWidget.cpp
    CTrackStatDistanceWidget.cpp
    CRoute.cpp
    CRouteDB.cpp
    CRouteToolWidget.cpp
    CTabWidget.cpp
    CDiary.cpp
    CDiaryDB.cpp
    CDiaryEdit.cpp
    CTextEditWidget.cpp
    CPlot.cpp
    CPlotAxis.cpp
    CPlotAxisTime.cpp
    CPlotData.cpp
    CLiveLog.cpp
    CLiveLogDB.cpp
    CLiveLogToolWidget.cpp
    COsmTilesHash.cpp
    IOverlay.cpp
    COverlayDB.cpp
    COverlayToolWidget.cpp
    COverlayText.cpp
    COverlayTextBox.cpp
    COverlayDistance.cpp
    COverlayDistanceEditWidget.cpp
    IUnit.cpp
    CUnitMetric.cpp
    CUnitImperial.cpp
    CUnitNautic.cpp
    CImage.cpp
    IGarminStrTbl.cpp
    CGarminStrTbl6.cpp
    CGarminStrTbl8.cpp
    CGarminStrTblUtf8.cpp
    CGarminPolygon.cpp
    CGarminPoint.cpp
    CGarminTile.cpp
    CGarminExport.cpp
    IGarminTyp.cpp
    CGarminTyp.cpp
    CGarminTypNT.cpp
    CMapTDB.cpp
    CHelpButton.cpp
    CSpline.cpp
    IItem.cpp
)

if (WIN32)
    SET(qlandkarte_SRCS ${qlandkarte_SRCS} qlandkarte.rc)
endif (WIN32)

set(qlandkarte_HDRS
    Platform.h
    version.h
    mitab.h
    tcxreader.h
    CActions.h
    CMenus.h
    GeoMath.h
    WptIcons.h
    CResources.h
    CCopyright.h
    CMainWindow.h
    CCanvas.h
    CStatusDEM.h
    IMouse.h
    CMouseMoveMap.h
    CMouseZoomMap.h
    CMouseSelMap.h
    CMouseAddWpt.h
    CMouseMoveWpt.h
    CMouseEditWpt.h
    CMouseRefPoint.h
    CMouseCutTrack.h
    CMouseSelTrack.h
    CMouseAddText.h
    CMouseAddTextBox.h
    CMouseAddDistance.h
    CMouseOverlay.h
    CMouseColorPicker.h
    IMap.h
    CMapNoMap.h
    CMapOSM.h
    CMapOSMType.h
    CMapDEM.h
    CMapFile.h
    CMapLevel.h
    CMapQMAP.h
    CMapQMAPExport.h
    CMapRaster.h
    CMapGeoTiff.h
    IMapSelection.h
    CMapSelectionRaster.h
    CMapSelectionGarmin.h
    CMapSearchWidget.h
    CMapSearchCanvas.h
    CMapSearchThread.h
    CMegaMenu.h
    IDB.h
    CWpt.h
    CWptDB.h
    CWptToolWidget.h
    CSearch.h
    CSearchDB.h
    CSearchToolWidget.h
    CDlgConfig.h
    CDlgEditWpt.h
    CDlgWptIcon.h
    CDlgEditMapLevel.h
    CDlgCombineTracks.h
    CDlgCombineDistOvl.h
    CDlgProjWizzard.h
    CDlgEditText.h
    CDlgDelWpt.h
    CDlgCreateWorldBasemap.h
    CDlgConvertToTrack.h
    CDlgEditRoute.h
    CDlgMapTDBConfig.h
    CDlgMapQMAPConfig.h
    CDlgMapJNXConfig.h
    CDlgMapOSMConfig.h
    CDlgScreenshot.h
    CDlgTrackFilter.h
    CDlgSetupGarminIcons.h
    CDlgConfig3D.h
    CDlgExport.h
    CDlgWpt2Rte.h
    CQlb.h
    CGpx.h
    IDevice.h
    CDeviceQLandkarteM.h
    CDeviceGarmin.h
    CDeviceNMEA.h
    CCreateMapOSM.h
    CCreateMapQMAP.h
    CCreateMapGeoTiff.h
    CCreateMapGridTool.h
    CCreateMapFineTune.h
    CMapDB.h
    CMapToolWidget.h
    CMapEditWidget.h
    CUndoStackModel.h
    CUndoStackView.h
    CTrackUndoCommandDelete.h
    CTrackUndoCommandSelect.h
    CTrack.h
    CTrackDB.h
    CTrackToolWidget.h
    CTrackEditWidget.h
    ITrackStat.h
    CTrackStatProfileWidget.h
    CTrackStatSpeedWidget.h
    CTrackStatTraineeWidget.h
    CTrackStatDistanceWidget.h
    CRoute.h
    CRouteDB.h
    CRouteToolWidget.h
    CTabWidget.h
    CDiary.h
    CDiaryDB.h
    CDiaryEdit.h
    CTextEditWidget.h
    CPlot.h
    CPlotAxis.h
    CPlotAxisTime.h
    CPlotData.h
    CLiveLog.h
    CLiveLogDB.h
    CLiveLogToolWidget.h
    IOverlay.h
    COsmTilesHash.h
    COverlayDB.h
    COverlayToolWidget.h
    COverlayText.h
    COverlayTextBox.h
    COverlayDistance.h
    COverlayDistanceEditWidget.h
    IUnit.h
    CUnitMetric.h
    CUnitImperial.h
    CUnitNautic.h
    CImage.h
    IGarminStrTbl.h
    CGarminStrTbl6.h
    CGarminStrTbl8.h
    CGarminStrTblUtf8.h
    CGarminPolygon.h
    CGarminPoint.h
    CGarminTile.h
    Garmin.h
    CGarminExport.h
    IGarminTyp.h
    CGarminTyp.h
    CGarminTypNT.h
    CMapTDB.h
    CAppOpts.h
    CHelpButton.h
    CSpline.h
    IItem.h
)

SET(qlandkarte_UIS
    ICopyright.ui
    IWptToolWidget.ui
    IMapToolWidget.ui
    IMapEditWidget.ui
    IMapSearchWidget.ui
    IMapQMAPExport.ui
    ITrackToolWidget.ui
    ITrackEditWidget.ui
    ITrackStatWidget.ui
    ISearchToolWidget.ui
    IDlgConfig.ui
    IDlgEditWpt.ui
    IDlgWptIcon.ui
    IDlgEditMapLevel.ui
    IDlgCombineTracks.ui
    IDlgCombineDistOvl.ui
    IDlgDelWpt.ui
    IDlgCreateWorldBasemap.ui
    IDlgConvertToTrack.ui
    IDlgEditRoute.ui
    IDlgMapTDBConfig.ui
    IDlgMapQMAPConfig.ui
    IDlgMapJNXConfig.ui
    IDlgMapOSMConfig.ui
    IDlgScreenshot.ui
    IDlgTrackFilter.ui
    IDlgSetupGarminIcons.ui
    IDlgConfig3D.ui
    IDlgExport.ui
    IDlgWpt2Rte.ui
    ICreateMapOSM.ui
    ICreateMapQMAP.ui
    ICreateMapGeoTiff.ui
    ICreateMapGridTool.ui
    ICreateMapFineTune.ui
    IRouteToolWidget.ui
    IStatusDEM.ui
    IDlgProjWizzard.ui
    ITextEditWidget.ui
    ILiveLogToolWidget.ui
    IOverlayToolWidget.ui
    IOverlayDistanceEditWidget.ui
    IGarminExport.ui
    IHelpDlg.ui
    IDiaryEdit.ui
)

SET(qlandkarte_RCS
    resources.qrc
)


SET (PLOT_3D ON CACHE BOOL "3D Maps with OpenGL")
SET (GPX_EXTENSIONS ON CACHE BOOL "Read <extensions> data from tracks in GPX files.")
SET (GEO_DB ON CACHE BOOL "Enable Sqlite database for geo data")
SET (MIKROKOPTER OFF CACHE BOOL "Enable telemtry with a mikrokopter")
if (NOT WIN32)
SET (DBUS ON CACHE BOOL "Enable DBus control.")
else (NOT WIN32)
SET (DBUS OFF CACHE BOOL "Enable DBus control.")
endif (NOT WIN32)
SET (JNX ON CACHE BOOL "Enable Garmin JNX Support.")
SET (ALTKEY_MOVES_MAP OFF CACHE BOOL "Move map while pressing ALT key and mousemove.")

SET (QL_OPENGL_INCLUDE_DIR "")
SET (QL_OPENGL_LIBRARIES "")

if(ALTKEY_MOVES_MAP)
    add_definitions(-DALTKEY_MOVES_MAP)
endif(ALTKEY_MOVES_MAP)

IF(PLOT_3D AND OPENGL_FOUND)
    add_definitions(-DPLOT_3D)
    SET(qlandkarte_HDRS ${qlandkarte_HDRS} CMap3D.h CDlg3DHelp.h)
    SET(qlandkarte_SRCS ${qlandkarte_SRCS} CMap3D.cpp CDlg3DHelp.cpp)
    SET(qlandkarte_UIS ${qlandkarte_UIS} IDlg3DHelp.ui)
    SET(QL_OPENGL_INCLUDE_DIR ${QT_QTOPENGL_INCLUDE_DIR} ${OPENGL_INCLUDE_DIR})
    SET(QL_OPENGL_LIBRARIES ${QT_QTOPENGL_LIBRARIES} ${OPENGL_LIBRARIES})
ENDIF(PLOT_3D AND OPENGL_FOUND)

if(GPX_EXTENSIONS)
    add_definitions(-DGPX_EXTENSIONS)
    SET(qlandkarte_HDRS ${qlandkarte_HDRS}  CTrackStatExtensionWidget.h CGpxExtension.h)
    SET(qlandkarte_SRCS ${qlandkarte_SRCS}  CTrackStatExtensionWidget.cpp CGpxExtension.cpp)
    SET(qlandkarte_UIS ${qlandkarte_UIS} )
endif(GPX_EXTENSIONS)

if(GPSD_FOUND)
    add_definitions(-DHAS_GPSD)
    SET(qlandkarte_HDRS ${qlandkarte_HDRS} CDeviceGPSD.h )
    SET(qlandkarte_SRCS ${qlandkarte_SRCS} CDeviceGPSD.cpp)
else(GPSD_FOUND)
    SET(GPSD_INCLUDE_DIRS "")
    SET(GPSD_LIBRARIES "")
endif(GPSD_FOUND)

IF(EXIF_FOUND)
    add_definitions(-DHAS_EXIF)
else(EXIF_FOUND)
    set(EXIF_INCLUDE_DIRS "")
    set(EXIF_LIBRARIES "")
ENDIF(EXIF_FOUND)

IF(DMTX_FOUND)
    add_definitions(-DHAS_DMTX)
else(EXIF_FOUND)
    set(DMTX_INCLUDE_DIRS "")
    set(DMTX_LIBRARIES "")
ENDIF(DMTX_FOUND)

IF(GEO_DB)
    add_definitions(-DHAS_GEODB -DDB_VERSION=8)
    SET(qlandkarte_HDRS ${qlandkarte_HDRS}  CGeoDB.h CDlgSelGeoDBFolder.h CDlgEditFolder.h)
    SET(qlandkarte_SRCS ${qlandkarte_SRCS}  CGeoDB.cpp CDlgSelGeoDBFolder.cpp CDlgEditFolder.cpp)
    SET(qlandkarte_UIS ${qlandkarte_UIS} IGeoToolWidget.ui IDlgSelGeoDBFolder.ui IDlgEditFolder.ui)
ENDIF(GEO_DB)

IF(DBUS)
    add_definitions(-DHAS_DBUS)
    SET(qlandkarte_HDRS ${qlandkarte_HDRS}  CDBus.h)
    SET(qlandkarte_SRCS ${qlandkarte_SRCS}  CDBus.cpp)
    SET(qlandkarte_UIS ${qlandkarte_UIS})
ENDIF(DBUS)

IF(JNX)
    add_definitions(-DHAS_JNX)

=== 3rdparty/map2gcm/CMakeLists.txt ===
project(map2gcm)

# Required cmake version
cmake_minimum_required(VERSION 2.6.0)

find_package(Qt4 REQUIRED)
find_package(GDAL REQUIRED)
find_package(PROJ REQUIRED)
find_package(JPEG REQUIRED)

include(${QT_USE_FILE})

set(SRCS
    main.cpp
)

set(HDRS

)

set(UIS

)

set(RCS


)

qt4_wrap_cpp(MOC_SRCS ${HDRS})
qt4_wrap_ui(UI_HDRS ${UIS})
qt4_add_resources(RC_SRCS ${RCS})

include_directories(
    ${CMAKE_BINARY_DIR}
    ${CMAKE_CURRENT_BINARY_DIR}
    ${GDAL_INCLUDE_DIRS}
    ${PROJ_INCLUDE_DIRS}
    ${JPEG_INCLUDE_DIRS}
    ${CMAKE_SOURCE_DIR}/3rdparty/QZip
)

link_directories(
    ${CMAKE_BINARY_DIR}/lib
)

add_executable( map2gcm
    ${SRCS}
    ${HDRS}
    ${UI_HDRS}
    ${RC_SRCS}
    ${MOC_SRCS}
    ${QM_FILES}
)

if(APPLE)
set_target_properties( map2gcm PROPERTIES
    RUNTIME_OUTPUT_DIRECTORY ${MAC_BUNDLE_PATH}/Contents/Resources
)
endif(APPLE)

if(WIN32)
target_link_libraries( map2gcm
    ${GDAL_LIBRARIES}
    ${PROJ_LIBRARIES}
    ${JPEG_LIBRARIES}
    ${QT_LIBRARIES}
    qzip
)
else(WIN32)
target_link_libraries( map2gcm
    ${GDAL_LIBRARIES}
    ${PROJ_LIBRARIES}
    ${JPEG_LIBRARIES}
    ${QT_LIBRARIES}
    qzip
)
endif(WIN32)

install(
    TARGETS
      map2gcm
    DESTINATION
      ${BIN_INSTALL_DIR}
)

=== debian/changelog ===
qlandkartegt (1.2.3-1build1) precise; urgency=low

  * Rebuild with libgps20. 

 -- James Page <james.page@ubuntu.com>  Tue, 13 Dec 2011 15:10:44 +0000

qlandkartegt (1.2.3-1) unstable; urgency=low

  * New upstream release.
  * Bumped Standards-version to 3.9.2, no changes necessary.

 -- Michael Hanke <mih@debian.org>  Sat, 03 Sep 2011 20:09:07 +0200

=== debian/watch ===
version=3
http://sf.net/qlandkartegt/qlandkartegt-(\d)\.([\d\.]*)\.tar\.gz

## qlandkartegt 1.5.0~dfsg1

=== CMakeLists.txt ===
--- 
+++ 
@@ -6,8 +6,8 @@
 set(APPLICATION_NAME ${PROJECT_NAME})
 
 set(APPLICATION_VERSION_MAJOR "1")
-set(APPLICATION_VERSION_MINOR "2")
-set(APPLICATION_VERSION_PATCH "3")
+set(APPLICATION_VERSION_MINOR "5")
+set(APPLICATION_VERSION_PATCH "0")
 
 add_definitions(-DVER_MAJOR=${APPLICATION_VERSION_MAJOR} -DVER_MINOR=${APPLICATION_VERSION_MINOR} -DVER_STEP=${APPLICATION_VERSION_PATCH})
 
@@ -43,7 +43,6 @@
 include(DefineCMakeDefaults)
 include(DefineCompilerFlags)
 include(DefineInstallationPaths)
-include(DefineOptions.cmake)
 include(CPackConfig.cmake)
 
 # config.h generation
@@ -68,6 +67,9 @@
 add_subdirectory(3rdparty/QTextHtmlExporter)
 add_subdirectory(3rdparty/getopt)
 add_subdirectory(3rdparty/map2gcm)
+add_subdirectory(3rdparty/map2rmap)
+add_subdirectory(3rdparty/cache2gtiff)
+add_subdirectory(3rdparty/qtsoap)
 add_subdirectory(src)
 
 if (UNIX AND NOT WIN32 AND NOT APPLE)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -81,6 +81,7 @@
     WptIcons.cpp
     CResources.cpp
     CCopyright.cpp
+    CApplication.cpp
     CMainWindow.cpp
     CCanvas.cpp
     CCanvasUndoCommandZoom.cpp
@@ -100,10 +101,9 @@
     CMouseAddDistance.cpp
     CMouseOverlay.cpp
     CMouseColorPicker.cpp
+    CMouseSelWpt.cpp
     IMap.cpp
     CMapNoMap.cpp
-    CMapOSM.cpp
-    CMapOSMType.cpp
     CMapDEM.cpp
     CMapFile.cpp
     CMapLevel.cpp
@@ -111,6 +111,9 @@
     CMapQMAPExport.cpp
     CMapRaster.cpp
     CMapGeoTiff.cpp
+    CMapWms.cpp
+    CMapTms.cpp
+    CMapJnx.cpp
     IMapSelection.cpp
     CMapSelectionRaster.cpp
     CMapSelectionGarmin.cpp
@@ -133,27 +136,34 @@
     CDlgCombineDistOvl.cpp
     CDlgProjWizzard.cpp
     CDlgEditText.cpp
-    CDlgCreateWorldBasemap.cpp
     CDlgDelWpt.cpp
     CDlgConvertToTrack.cpp
     CDlgEditRoute.cpp
+    CDlgLoadOnlineMap.cpp
     CDlgMapTDBConfig.cpp
     CDlgMapQMAPConfig.cpp
     CDlgMapJNXConfig.cpp
-    CDlgMapOSMConfig.cpp
+    CDlgMapTmsConfig.cpp
+    CDlgMapWmsConfig.cpp
+    CDlgNoMapConfig.cpp
     CDlgScreenshot.cpp
     CDlgTrackFilter.cpp
     CDlgSetupGarminIcons.cpp
     CDlgConfig3D.cpp
     CDlgExport.cpp
     CDlgWpt2Rte.cpp
+    CDlgSetupGrid.cpp
+    CDlgCropMap.cpp
+    CDlgParentWpt.cpp
+    CDlgDeviceExportPath.cpp
     CQlb.cpp
     CGpx.cpp
     IDevice.cpp
     CDeviceQLandkarteM.cpp
     CDeviceGarmin.cpp
+    CDeviceGarminBulk.cpp
     CDeviceNMEA.cpp
-    CCreateMapOSM.cpp
+    CDeviceTwoNav.cpp
     CCreateMapQMAP.cpp
     CCreateMapGeoTiff.cpp
     CCreateMapGridTool.cpp
@@ -177,6 +187,7 @@
     CTrackStatSpeedWidget.cpp
     CTrackStatTraineeWidget.cpp
     CTrackStatDistanceWidget.cpp
+    CTrackFilterWidget.cpp
     CRoute.cpp
     CRouteDB.cpp
     CRouteToolWidget.cpp
@@ -192,7 +203,6 @@
     CLiveLog.cpp
     CLiveLogDB.cpp
     CLiveLogToolWidget.cpp
-    COsmTilesHash.cpp
     IOverlay.cpp
     COverlayDB.cpp
     COverlayToolWidget.cpp
@@ -220,6 +230,12 @@
     CHelpButton.cpp
     CSpline.cpp
     IItem.cpp
+    CImageSelect.cpp
+    CGridDB.cpp
+    IDiskCache.cpp
+    CDiskCache.cpp
+    CDiskCacheZip.cpp
+    CTextBrowser.cpp
 )
 
 if (WIN32)
@@ -237,6 +253,7 @@
     WptIcons.h
     CResources.h
     CCopyright.h
+    CApplication.h
     CMainWindow.h
     CCanvas.h
     CStatusDEM.h
@@ -255,10 +272,9 @@
     CMouseAddDistance.h
     CMouseOverlay.h
     CMouseColorPicker.h
+    CMouseSelWpt.h
     IMap.h
     CMapNoMap.h
-    CMapOSM.h
-    CMapOSMType.h
     CMapDEM.h
     CMapFile.h
     CMapLevel.h
@@ -266,6 +282,9 @@
     CMapQMAPExport.h
     CMapRaster.h
     CMapGeoTiff.h
+    CMapWms.h
+    CMapTms.h
+    CMapJnx.h
     IMapSelection.h
     CMapSelectionRaster.h
     CMapSelectionGarmin.h
@@ -282,6 +301,7 @@
     CSearchToolWidget.h
     CDlgConfig.h
     CDlgEditWpt.h
+    CDlgLoadOnlineMap.h
     CDlgWptIcon.h
     CDlgEditMapLevel.h
     CDlgCombineTracks.h
@@ -289,26 +309,32 @@
     CDlgProjWizzard.h
     CDlgEditText.h
     CDlgDelWpt.h
-    CDlgCreateWorldBasemap.h
     CDlgConvertToTrack.h
     CDlgEditRoute.h
     CDlgMapTDBConfig.h
     CDlgMapQMAPConfig.h
     CDlgMapJNXConfig.h
-    CDlgMapOSMConfig.h
+    CDlgMapTmsConfig.h
+    CDlgMapWmsConfig.h
+    CDlgNoMapConfig.h
     CDlgScreenshot.h
     CDlgTrackFilter.h
     CDlgSetupGarminIcons.h
     CDlgConfig3D.h
     CDlgExport.h
     CDlgWpt2Rte.h
+    CDlgSetupGrid.h
+    CDlgCropMap.h
+    CDlgParentWpt.h
+    CDlgDeviceExportPath.h
     CQlb.h
     CGpx.h
     IDevice.h
     CDeviceQLandkarteM.h
     CDeviceGarmin.h
+    CDeviceGarminBulk.h
     CDeviceNMEA.h
-    CCreateMapOSM.h
+    CDeviceTwoNav.h
     CCreateMapQMAP.h
     CCreateMapGeoTiff.h
     CCreateMapGridTool.h
@@ -329,6 +355,7 @@
     CTrackStatSpeedWidget.h
     CTrackStatTraineeWidget.h
     CTrackStatDistanceWidget.h
+    CTrackFilterWidget.h
     CRoute.h
     CRouteDB.h
     CRouteToolWidget.h
@@ -345,7 +372,6 @@
     CLiveLogDB.h
     CLiveLogToolWidget.h
     IOverlay.h
-    COsmTilesHash.h
     COverlayDB.h
     COverlayToolWidget.h
     COverlayText.h
@@ -374,7 +400,15 @@
     CHelpButton.h
     CSpline.h
     IItem.h
+    CImageSelect.h
+    CGridDB.h
+    IDiskCache.h
+    CDiskCache.h
+    CDiskCacheZip.h
+    CSettings.h
+    CTextBrowser.h
 )
+
 
 SET(qlandkarte_UIS
     ICopyright.ui
@@ -386,6 +420,7 @@
     ITrackToolWidget.ui
     ITrackEditWidget.ui
     ITrackStatWidget.ui
+    ITrackFilterWidget.ui
     ISearchToolWidget.ui
     IDlgConfig.ui
     IDlgEditWpt.ui
@@ -394,20 +429,25 @@
     IDlgCombineTracks.ui
     IDlgCombineDistOvl.ui
     IDlgDelWpt.ui
-    IDlgCreateWorldBasemap.ui
     IDlgConvertToTrack.ui
     IDlgEditRoute.ui
+    IDlgLoadOnlineMap.ui
     IDlgMapTDBConfig.ui
     IDlgMapQMAPConfig.ui
     IDlgMapJNXConfig.ui
-    IDlgMapOSMConfig.ui
+    IDlgMapTmsConfig.ui
+    IDlgMapWmsConfig.ui
+    IDlgNoMapConfig.ui
     IDlgScreenshot.ui
     IDlgTrackFilter.ui
     IDlgSetupGarminIcons.ui
     IDlgConfig3D.ui
     IDlgExport.ui
     IDlgWpt2Rte.ui
-    ICreateMapOSM.ui
+    IDlgSetupGrid.ui
+    IDlgCropMap.ui
+    IDlgParentWpt.ui
+    IDlgDeviceExportPath.ui
     ICreateMapQMAP.ui
     ICreateMapGeoTiff.ui
     ICreateMapGridTool.ui
@@ -422,6 +462,8 @@
     IGarminExport.ui
     IHelpDlg.ui
     IDiaryEdit.ui
+    IImageSelect.ui
+
 )
 
 SET(qlandkarte_RCS
@@ -438,8 +480,8 @@
 else (NOT WIN32)
 SET (DBUS OFF CACHE BOOL "Enable DBus control.")
 endif (NOT WIN32)
-SET (JNX ON CACHE BOOL "Enable Garmin JNX Support.")
 SET (ALTKEY_MOVES_MAP OFF CACHE BOOL "Move map while pressing ALT key and mousemove.")
+SET (RMAP ON CACHE BOOL "Enable TwoNav RMAP Support")
 
 SET (QL_OPENGL_INCLUDE_DIR "")
 SET (QL_OPENGL_LIBRARIES "")
@@ -477,29 +519,3 @@
     add_definitions(-DHAS_EXIF)
 else(EXIF_FOUND)
     set(EXIF_INCLUDE_DIRS "")
-    set(EXIF_LIBRARIES "")
-ENDIF(EXIF_FOUND)
-
-IF(DMTX_FOUND)
-    add_definitions(-DHAS_DMTX)
-else(EXIF_FOUND)
-    set(DMTX_INCLUDE_DIRS "")
-    set(DMTX_LIBRARIES "")
-ENDIF(DMTX_FOUND)
-
-IF(GEO_DB)
-    add_definitions(-DHAS_GEODB -DDB_VERSION=8)
-    SET(qlandkarte_HDRS ${qlandkarte_HDRS}  CGeoDB.h CDlgSelGeoDBFolder.h CDlgEditFolder.h)
-    SET(qlandkarte_SRCS ${qlandkarte_SRCS}  CGeoDB.cpp CDlgSelGeoDBFolder.cpp CDlgEditFolder.cpp)
-    SET(qlandkarte_UIS ${qlandkarte_UIS} IGeoToolWidget.ui IDlgSelGeoDBFolder.ui IDlgEditFolder.ui)
-ENDIF(GEO_DB)
-
-IF(DBUS)
-    add_definitions(-DHAS_DBUS)
-    SET(qlandkarte_HDRS ${qlandkarte_HDRS}  CDBus.h)
-    SET(qlandkarte_SRCS ${qlandkarte_SRCS}  CDBus.cpp)
-    SET(qlandkarte_UIS ${qlandkarte_UIS})
-ENDIF(DBUS)
-
-IF(JNX)
-    add_definitions(-DHAS_JNX)

=== debian/changelog ===
qlandkartegt (1.5.0~dfsg1-1) unstable; urgency=low

  * New upstream release.
  * Tune debhelper version to fix FTBS.
  * Switch compat to 9.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Tue, 26 Jun 2012 21:32:00 +0200

qlandkartegt (1.4.2~dfsg0-1) unstable; urgency=low

  * New upstream release

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Fri, 25 May 2012 14:34:52 +0200

qlandkartegt (1.4.1~dfsg0-1) unstable; urgency=low

  * New upstream release

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Sun, 20 May 2012 12:42:25 +0200

qlandkartegt (1.4.0~dfsg0-1) unstable; urgency=low

  [ Jaromír Mikeš ]
  * New upstream release (Closes: #662952, #663472, #654517, #640179).
  * Bumped Standards-version to 3.9.3, no changes necessary.
  * Add myself as uploader (Closes: #654748).
  * Copyright updated to format 1.0.
  * Added gbp.conf file.
  * Patch added to fix some spelling errors.
  * Fixed watch file to mangle dfsg version.

  [ Michael Hanke ]
  * Remove transitional qlandkarte package for wheezy.
  * Make Jaromir the primary maintainer, move myself into uploaders,
    and remove Yaroslav Halchenko as uploader (with approval).

 -- Michael Hanke <mih@debian.org>  Sun, 01 Apr 2012 09:49:26 +0200

=== debian/control ===
Source: qlandkartegt
Section: x11
Priority: optional
Maintainer: Jaromír Mikeš <mira.mikes@seznam.cz>
Uploaders: Michael Hanke <mih@debian.org>
Build-Depends:
 cmake (>= 2.4),
 debhelper (>= 9.20120417~),
 gpsbabel,
 imagemagick,
 libdmtx-dev,
 libexif-dev,
 libgdal1-dev (>= 1.5.2-3) | libgdal-dev,
 libgps-dev,
 libproj-dev | proj,
 libqt4-dev (>= 4.2),
 libqt4-opengl-dev,
 libqtwebkit-dev
Standards-Version: 3.9.3
Homepage: http://www.qlandkarte.org
XS-DM-Upload-Allowed: yes
Vcs-Browser: http://git.debian.org/?p=collab-maint/qlandkartegt.git
Vcs-Git: git://git.debian.org/git/collab-maint/qlandkartegt.git

Package: qlandkartegt
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Replaces:
 qlandkarte
Provides:
 qlandkarte
Recommends:
 gdal-bin,
 gpsbabel,
 qlandkartegt-garmin (>= 0.3.4~)
Suggests:
 gpsd
Description: GPS mapping (GeoTiff and vector) and GPSr management
 This package provides a versatile tool for GPS maps in GeoTiff format as
 well as Garmin's img vector map format. QLandkarteGT is the successor of
 QLandkarte. Among various improvements (e.g. 2D/3D map rendering and
 reduced resource demands) the major difference is its
 device-independent architecture, which is not limited to Garmin devices
 anymore. Therefore, the package also does not include device drivers.
 Drivers for a number of Garmin devices are available from the
 qlandkartegt-garmin package.
 .
 Additionally, QLandkarteGT serves as a frontend to the GDAL tools, to
 make georeferencing of scanned maps feasible for users. In contrast to
 similar tools (e.g. QGis) its straightforward interface is especially
 suited for non-scientific users.

## qlandkartegt 1.7.0~dfsg0

=== CMakeLists.txt ===
--- 
+++ 
@@ -6,7 +6,7 @@
 set(APPLICATION_NAME ${PROJECT_NAME})
 
 set(APPLICATION_VERSION_MAJOR "1")
-set(APPLICATION_VERSION_MINOR "5")
+set(APPLICATION_VERSION_MINOR "7")
 set(APPLICATION_VERSION_PATCH "0")
 
 add_definitions(-DVER_MAJOR=${APPLICATION_VERSION_MAJOR} -DVER_MINOR=${APPLICATION_VERSION_MINOR} -DVER_STEP=${APPLICATION_VERSION_PATCH})
@@ -61,6 +61,8 @@
 include(ConfigureChecks.cmake)
 configure_file(config.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config.h)
 
+option(WITH_PROFILING "BUILD WITH PROFILING" OFF)
+
 add_subdirectory(3rdparty/SerialPort)
 add_subdirectory(3rdparty/QMKToolBox)
 add_subdirectory(3rdparty/QZip)
@@ -68,8 +70,20 @@
 add_subdirectory(3rdparty/getopt)
 add_subdirectory(3rdparty/map2gcm)
 add_subdirectory(3rdparty/map2rmap)
+add_subdirectory(3rdparty/map2rmp)
+add_subdirectory(3rdparty/map2jnx)
 add_subdirectory(3rdparty/cache2gtiff)
+add_subdirectory(3rdparty/tzone)
+find_package(QtSoap)
+if (NOT QTSOAP_FOUND)
 add_subdirectory(3rdparty/qtsoap)
+endif()
+
+if(WITH_PROFILING)
+add_definitions(-DDO_PROFILING)
+add_subdirectory(3rdparty/conan)
+endif(WITH_PROFILING)
+
 add_subdirectory(src)
 
 if (UNIX AND NOT WIN32 AND NOT APPLE)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -58,6 +58,13 @@
 else(GPSBABEL)
   set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -DGPSBABEL=\\\"gpsbabel\\\"")
 endif(GPSBABEL)
+
+if(WITH_PROFILING)
+    set(PROFILING_LIBRARIES "conan")
+else(WITH_PROFILING)
+    set(PROFILING_LIBRARIES "")
+endif(WITH_PROFILING)
+
 
 if (NOT WIN32)
   find_program(MAP2JNX map2jnx DOC "full path of the map2jnx application")
@@ -145,7 +152,8 @@
     CDlgMapJNXConfig.cpp
     CDlgMapTmsConfig.cpp
     CDlgMapWmsConfig.cpp
-    CDlgNoMapConfig.cpp
+    CDlgMapRMPConfig.cpp
+    CDlgNoMapConfig.cpp    
     CDlgScreenshot.cpp
     CDlgTrackFilter.cpp
     CDlgSetupGarminIcons.cpp
@@ -156,10 +164,12 @@
     CDlgCropMap.cpp
     CDlgParentWpt.cpp
     CDlgDeviceExportPath.cpp
+    CDlgProxy.cpp
     CQlb.cpp
     CGpx.cpp
     IDevice.cpp
     CDeviceQLandkarteM.cpp
+    CDeviceMagellan.cpp
     CDeviceGarmin.cpp
     CDeviceGarminBulk.cpp
     CDeviceNMEA.cpp
@@ -236,6 +246,9 @@
     CDiskCache.cpp
     CDiskCacheZip.cpp
     CTextBrowser.cpp
+    CImageViewer.cpp
+    CMapRmp.cpp
+    CMapDEMSlopeSetup.cpp
 )
 
 if (WIN32)
@@ -316,6 +329,7 @@
     CDlgMapJNXConfig.h
     CDlgMapTmsConfig.h
     CDlgMapWmsConfig.h
+    CDlgMapRMPConfig.h
     CDlgNoMapConfig.h
     CDlgScreenshot.h
     CDlgTrackFilter.h
@@ -327,10 +341,12 @@
     CDlgCropMap.h
     CDlgParentWpt.h
     CDlgDeviceExportPath.h
+    CDlgProxy.h
     CQlb.h
     CGpx.h
     IDevice.h
     CDeviceQLandkarteM.h
+    CDeviceMagellan.h
     CDeviceGarmin.h
     CDeviceGarminBulk.h
     CDeviceNMEA.h
@@ -407,6 +423,9 @@
     CDiskCacheZip.h
     CSettings.h
     CTextBrowser.h
+    CImageViewer.h
+    CMapRmp.h
+    CMapDEMSlopeSetup.h
 )
 
 
@@ -437,6 +456,7 @@
     IDlgMapJNXConfig.ui
     IDlgMapTmsConfig.ui
     IDlgMapWmsConfig.ui
+    IDlgMapRMPConfig.ui
     IDlgNoMapConfig.ui
     IDlgScreenshot.ui
     IDlgTrackFilter.ui
@@ -448,6 +468,7 @@
     IDlgCropMap.ui
     IDlgParentWpt.ui
     IDlgDeviceExportPath.ui
+    IDlgProxy.ui
     ICreateMapQMAP.ui
     ICreateMapGeoTiff.ui
     ICreateMapGridTool.ui
@@ -463,7 +484,8 @@
     IHelpDlg.ui
     IDiaryEdit.ui
     IImageSelect.ui
-
+    IImageViewer.ui
+    IMapDEMSlopeSetup.ui
 )
 
 SET(qlandkarte_RCS
@@ -502,20 +524,3 @@
 if(GPX_EXTENSIONS)
     add_definitions(-DGPX_EXTENSIONS)
     SET(qlandkarte_HDRS ${qlandkarte_HDRS}  CTrackStatExtensionWidget.h CGpxExtension.h)
-    SET(qlandkarte_SRCS ${qlandkarte_SRCS}  CTrackStatExtensionWidget.cpp CGpxExtension.cpp)
-    SET(qlandkarte_UIS ${qlandkarte_UIS} )
-endif(GPX_EXTENSIONS)
-
-if(GPSD_FOUND)
-    add_definitions(-DHAS_GPSD)
-    SET(qlandkarte_HDRS ${qlandkarte_HDRS} CDeviceGPSD.h )
-    SET(qlandkarte_SRCS ${qlandkarte_SRCS} CDeviceGPSD.cpp)
-else(GPSD_FOUND)
-    SET(GPSD_INCLUDE_DIRS "")
-    SET(GPSD_LIBRARIES "")
-endif(GPSD_FOUND)
-
-IF(EXIF_FOUND)
-    add_definitions(-DHAS_EXIF)
-else(EXIF_FOUND)
-    set(EXIF_INCLUDE_DIRS "")

=== debian/changelog ===
qlandkartegt (1.7.0~dfsg0-2) unstable; urgency=low

  * Bump Standards.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Wed, 08 May 2013 13:11:54 +0200

qlandkartegt (1.7.0~dfsg0-1) experimental; urgency=low

  * New upstream release.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Mon, 25 Mar 2013 03:14:50 +0100

qlandkartegt (1.6.0~dfsg0-1) experimental; urgency=low

  * New upstream release.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Sat, 15 Dec 2012 14:13:19 +0100

qlandkartegt (1.5.3~dfsg0-1) experimental; urgency=low

  * New upstream release.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Mon, 29 Oct 2012 01:09:27 +0100

qlandkartegt (1.5.1~dfsg0-2) experimental; urgency=low

  * Added patch to disable updates check (Closes: #687030)
   - thanks to Christoph Biedl <debian.packages.hhqj@manchmal.in-ulm.de>

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Mon, 17 Sep 2012 09:27:14 +0200

qlandkartegt (1.5.1~dfsg0-1) experimental; urgency=low

  * New upstream release.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Tue, 28 Aug 2012 02:14:35 +0200

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
  libqt4-dev (>= 4.2),
  libqt4-opengl-dev,
  libqtwebkit-dev
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Homepage: http://www.qlandkarte.org
 XS-DM-Upload-Allowed: yes
 Vcs-Browser: http://git.debian.org/?p=collab-maint/qlandkartegt.git

## qlandkartegt 1.7.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,7 +7,7 @@
 
 set(APPLICATION_VERSION_MAJOR "1")
 set(APPLICATION_VERSION_MINOR "7")
-set(APPLICATION_VERSION_PATCH "0")
+set(APPLICATION_VERSION_PATCH "5")
 
 add_definitions(-DVER_MAJOR=${APPLICATION_VERSION_MAJOR} -DVER_MINOR=${APPLICATION_VERSION_MINOR} -DVER_STEP=${APPLICATION_VERSION_PATCH})

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -153,7 +153,7 @@
     CDlgMapTmsConfig.cpp
     CDlgMapWmsConfig.cpp
     CDlgMapRMPConfig.cpp
-    CDlgNoMapConfig.cpp    
+    CDlgNoMapConfig.cpp
     CDlgScreenshot.cpp
     CDlgTrackFilter.cpp
     CDlgSetupGarminIcons.cpp
@@ -165,6 +165,7 @@
     CDlgParentWpt.cpp
     CDlgDeviceExportPath.cpp
     CDlgProxy.cpp
+    CDlgMultiColorConfig.cpp
     CQlb.cpp
     CGpx.cpp
     IDevice.cpp
@@ -184,7 +185,6 @@
     CMapEditWidget.cpp
     CUndoStackModel.cpp
     CUndoStackView.cpp
-    CTrackUndoCommandDelete.cpp
     CTrackUndoCommandDeletePts.cpp
     CTrackUndoCommandPurgePts.cpp
     CTrackUndoCommandSelect.cpp
@@ -342,6 +342,7 @@
     CDlgParentWpt.h
     CDlgDeviceExportPath.h
     CDlgProxy.h
+    CDlgMultiColorConfig.h
     CQlb.h
     CGpx.h
     IDevice.h
@@ -360,7 +361,6 @@
     CMapEditWidget.h
     CUndoStackModel.h
     CUndoStackView.h
-    CTrackUndoCommandDelete.h
     CTrackUndoCommandSelect.h
     CTrack.h
     CTrackDB.h
@@ -426,6 +426,8 @@
     CImageViewer.h
     CMapRmp.h
     CMapDEMSlopeSetup.h
+    Dictionary.h
+    QFileExt.h
 )
 
 
@@ -469,6 +471,7 @@
     IDlgParentWpt.ui
     IDlgDeviceExportPath.ui
     IDlgProxy.ui
+    IDlgMultiColorConfig.ui
     ICreateMapQMAP.ui
     ICreateMapGeoTiff.ui
     ICreateMapGridTool.ui

=== 3rdparty/QMKToolBox/CMakeLists.txt ===
project(QMKToolBox)

# Required cmake version
cmake_minimum_required(VERSION 2.6.0)


set(LIBRARY_OUTPUT_PATH ${CMAKE_BINARY_DIR}/lib)

find_package(Qt4 REQUIRED)

include(${QT_USE_FILE})

set(SRCS
    ToolBox.cpp
)

set(HDRS
    ToolBox.h
)

set(UIS

)

set(RCS


)


qt4_wrap_cpp(MOC_SRCS ${HDRS})
qt4_wrap_ui(UI_HDRS ${UIS})
qt4_add_resources(RC_SRCS ${RCS})



include_directories(

)

link_directories(
    ${CMAKE_BINARY_DIR}/lib
)

add_library(QMKToolBox
  ${SRCS}
  ${HDRS}
  ${UI_HDRS}
  ${RC_SRCS}
  ${MOC_SRCS}
  ${QM_FILES}
)

target_link_libraries( QMKToolBox
      ${QT_LIBRARIES}
)

=== 3rdparty/QTextHtmlExporter/CMakeLists.txt ===
project(QTextHtmlExporter)

# Required cmake version
cmake_minimum_required(VERSION 2.6.0)


set(LIBRARY_OUTPUT_PATH ${CMAKE_BINARY_DIR}/lib)

find_package(Qt4 REQUIRED)

include(${QT_USE_FILE})




set(SRCS
    QTextHtmlExporter.cpp
)

set(HDRS
    QTextHtmlExporter.h
)

set(UIS

)

set(RCS


)


qt4_wrap_cpp(MOC_SRCS ${HDRS})
qt4_wrap_ui(UI_HDRS ${UIS})
qt4_add_resources(RC_SRCS ${RCS})



include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${QT_QTXML_INCLUDE_DIR}
  ${QT_ZLIB_INCLUDE_DIR}
)

link_directories(
    ${CMAKE_BINARY_DIR}/lib
)

add_library(qtexthtmlexporter
  ${SRCS}
  ${HDRS}
  ${UI_HDRS}
  ${RC_SRCS}
  ${MOC_SRCS}
  ${QM_FILES}
)

if(WIN32)
target_link_libraries( qtexthtmlexporter
      ${QT_LIBRARIES}
)
else(WIN32)
target_link_libraries( qtexthtmlexporter
      ${QT_LIBRARIES}
)
endif(WIN32)

=== 3rdparty/QZip/CMakeLists.txt ===
project(QZip)

# Required cmake version
cmake_minimum_required(VERSION 2.6.0)


set(LIBRARY_OUTPUT_PATH ${CMAKE_BINARY_DIR}/lib)

find_package(Qt4 REQUIRED)

include(${QT_USE_FILE})

if(WIN32)
    #add path to zlib.h in QT 3rdparty directory
    EXEC_PROGRAM( ${QT_QMAKE_EXECUTABLE}
      ARGS "-query QT_INSTALL_PREFIX"
      OUTPUT_VARIABLE QT_INSTALL_PREFIX )
    # make sure we have / and not \ as qmake gives on windows
    FILE(TO_CMAKE_PATH "${QT_INSTALL_PREFIX}" QT_INSTALL_PREFIX)
    set(QT_ZLIB_INCLUDE_DIR ${QT_INSTALL_PREFIX}/src/3rdparty/zlib)
endif(WIN32)



set(SRCS
    qzip.cpp
)

set(HDRS
    qzipreader.h
    qzipwriter.h
)

set(UIS

)

set(RCS


)


qt4_wrap_cpp(MOC_SRCS ${HDRS})
qt4_wrap_ui(UI_HDRS ${UIS})
qt4_add_resources(RC_SRCS ${RCS})



include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${QT_QTXML_INCLUDE_DIR}
  ${QT_ZLIB_INCLUDE_DIR}
)

link_directories(
    ${CMAKE_BINARY_DIR}/lib
)

add_library(qzip
  ${SRCS}
  ${HDRS}
  ${UI_HDRS}
  ${RC_SRCS}
  ${MOC_SRCS}
  ${QM_FILES}
)

if(WIN32)
target_link_libraries( qzip
      ${QT_LIBRARIES}
)
else(WIN32)
target_link_libraries( qzip
      ${QT_LIBRARIES}
      z
)
endif(WIN32)

=== 3rdparty/SerialPort/CMakeLists.txt ===
project(SerialPort)

# Required cmake version
cmake_minimum_required(VERSION 2.6.0)


set(LIBRARY_OUTPUT_PATH ${CMAKE_BINARY_DIR}/lib)

find_package(Qt4 REQUIRED)

include(${QT_USE_FILE})

set(SRCS
    ManageSerialPort.cpp
#    posix_qextserialport.cpp
    qextserialbase.cpp
    qextserialport.cpp
#    win_qextserialport.cpp
)

set(HDRS
    ManageSerialPort.h
#    posix_qextserialport.h
    qextserialbase.h
    qextserialport.h
#    win_qextserialport.h
)

set(UIS

)

set(RCS


)

if(WIN32)
    set(SRCS ${SRCS} win_qextserialport.cpp)
    set(HDRS ${HDRS} win_qextserialport.h)
else (WIN32)
    set(SRCS ${SRCS} posix_qextserialport.cpp)
    set(HDRS ${HDRS} posix_qextserialport.h)
    add_definitions(-D_TTY_POSIX_)
endif(WIN32)


qt4_wrap_cpp(MOC_SRCS ${HDRS})
qt4_wrap_ui(UI_HDRS ${UIS})
qt4_add_resources(RC_SRCS ${RCS})



include_directories(

)

link_directories(
    ${CMAKE_BINARY_DIR}/lib
)

add_library(SerialPort
  ${SRCS}
  ${HDRS}
  ${UI_HDRS}
  ${RC_SRCS}
  ${MOC_SRCS}
  ${QM_FILES}
)

target_link_libraries( SerialPort
      ${QT_LIBRARIES}
)

=== 3rdparty/cache2gtiff/CMakeLists.txt ===
project(map2gcm)

# Required cmake version
cmake_minimum_required(VERSION 2.6.0)

find_package(Qt4 REQUIRED)
find_package(GDAL REQUIRED)
find_package(PROJ REQUIRED)

include(${QT_USE_FILE})

set(SRCS
    main.cpp
    ../../src/CDiskCache.cpp
    ../../src/IDiskCache.cpp
)

set(HDRS
    ../../src/CDiskCache.h
    ../../src/IDiskCache.h
)

set(UIS

)

set(RCS


)

qt4_wrap_cpp(MOC_SRCS ${HDRS})
qt4_wrap_ui(UI_HDRS ${UIS})
qt4_add_resources(RC_SRCS ${RCS})

include_directories(
    ${CMAKE_BINARY_DIR}
    ${CMAKE_CURRENT_BINARY_DIR}
    ${GDAL_INCLUDE_DIRS}
    ${PROJ_INCLUDE_DIRS}
    ${JPEG_INCLUDE_DIRS}
    ${QT_QTXML_INCLUDE_DIR}
    ../../src/
)
if(WIN32)
    include_directories(
        ${CMAKE_SOURCE_DIR}/Win32/
    )
endif(WIN32)

add_executable( cache2gtiff
    ${SRCS}
    ${HDRS}
    ${UI_HDRS}
    ${RC_SRCS}
    ${MOC_SRCS}
    ${QM_FILES}
)

add_definitions(-DSTANDALONE)

if(APPLE)
set_target_properties( cache2gtiff PROPERTIES
    RUNTIME_OUTPUT_DIRECTORY ${MAC_BUNDLE_PATH}/Contents/Resources
)
endif(APPLE)

if(MSVC)
  add_definitions(-D_CRT_SECURE_NO_DEPRECATE )
endif(MSVC)

target_link_libraries( cache2gtiff
    ${GDAL_LIBRARIES}
    ${PROJ_LIBRARIES}
    ${JPEG_LIBRARIES}
    ${QT_LIBRARIES}
    ${QT_QTXML_LIBRARIES}
)


install(
    TARGETS
      cache2gtiff
    DESTINATION
      ${BIN_INSTALL_DIR}
)

=== 3rdparty/conan/CMakeLists.txt ===
project(conan)

# Required cmake version
cmake_minimum_required(VERSION 2.6.0)


set(LIBRARY_OUTPUT_PATH ${CMAKE_BINARY_DIR}/lib)

find_package(Qt4 REQUIRED)

include(${QT_USE_FILE})

set(SRCS
    src/ObjectUtility.cpp
    src/SignalSpy.cpp
    src/ConnectionModel.cpp
    src/ObjectModel.cpp
    src/ConanWidget.cpp
    src/AboutDialog.cpp
    src/ConanDebug.cpp
    src/KeyValueTableModel.cpp
)

set(HDRS
    src/ConanDefines.h
    src/ObjectUtility.h
    src/SignalSpy.h
    src/ConnectionModel.h
    src/ConanWidget_p.h
    src/ConanWidget.h
    src/ConanDefines.h
    src/AboutDialog.h
    src/ObjectModel.h
    src/ConanDebug.h
    src/KeyValueTableModel.h
    include/Conan.h
)

set(UIS
    src/ConanWidget.ui
    src/AboutDialog.ui
)

set(RCS
    src/Conan.qrc

)


qt4_wrap_cpp(MOC_SRCS ${HDRS})
qt4_wrap_ui(UI_HDRS ${UIS})
qt4_add_resources(RC_SRCS ${RCS})

include_directories(

)

link_directories(
    ${CMAKE_BINARY_DIR}/lib
)

add_library(conan
  ${SRCS}
  ${HDRS}
  ${UI_HDRS}
  ${RC_SRCS}
  ${MOC_SRCS}
  ${QM_FILES}
)

target_link_libraries( conan
      ${QT_LIBRARIES}
)

=== 3rdparty/getopt/CMakeLists.txt ===
project(getopt)

# Required cmake version
cmake_minimum_required(VERSION 2.6.0)


set(LIBRARY_OUTPUT_PATH ${CMAKE_BINARY_DIR}/lib)

find_package(Qt4 REQUIRED)

include(${QT_USE_FILE})

set(SRCS
    CGetOpt.cpp
)

set(HDRS
    CGetOpt.h
)

set(UIS

)

set(RCS


)


qt4_wrap_cpp(MOC_SRCS ${HDRS})
qt4_wrap_ui(UI_HDRS ${UIS})
qt4_add_resources(RC_SRCS ${RCS})



include_directories(

)

link_directories(
    ${CMAKE_BINARY_DIR}/lib
)

add_library(getopt
  STATIC
  ${SRCS}
  ${HDRS}
  ${UI_HDRS}
  ${RC_SRCS}
  ${MOC_SRCS}
  ${QM_FILES}
)

target_link_libraries( getopt
      ${QT_LIBRARIES}
)

=== 3rdparty/map2gcm/CMakeLists.txt ===
--- 
+++ 
@@ -39,6 +39,11 @@
     ${JPEG_INCLUDE_DIRS}
     ${CMAKE_SOURCE_DIR}/3rdparty/QZip
 )
+if(WIN32)
+    include_directories(
+        ${CMAKE_SOURCE_DIR}/Win32/
+    )
+endif(WIN32)
 
 link_directories(
     ${CMAKE_BINARY_DIR}/lib
@@ -58,6 +63,11 @@
     RUNTIME_OUTPUT_DIRECTORY ${MAC_BUNDLE_PATH}/Contents/Resources
 )
 endif(APPLE)
+
+if(MSVC)
+  add_definitions(-D_CRT_SECURE_NO_DEPRECATE )
+endif(MSVC)
+
 
 if(WIN32)
 target_link_libraries( map2gcm

=== 3rdparty/map2jnx/CMakeLists.txt ===

find_package(GDAL REQUIRED)
find_package(PROJ REQUIRED)
find_package(JPEG REQUIRED)

IF(WIN32)
  LINK_DIRECTORIES( ${CMAKE_SOURCE_DIR}/win32 )
  INCLUDE_DIRECTORIES( ../win32 )
ENDIF(WIN32)


#if you don't want the full compiler output, remove the following line
SET(CMAKE_VERBOSE_MAKEFILE ON)
SET(SRCS main.cpp argv.cpp)
SET(HDRS argv.h)


include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${GDAL_INCLUDE_DIRS}
  ${PROJ_INCLUDE_DIRS}
  ${JPEG_INCLUDE_DIRS}
)

if(WIN32)
    include_directories(
        ${CMAKE_SOURCE_DIR}/Win32/
    )
endif(WIN32)

#list all source files here
ADD_EXECUTABLE( map2jnx ${SRCS} ${HDRS})

#add definitions, compiler switches, etc.
IF(UNIX)
  ADD_DEFINITIONS(-Wall)  
ENDIF(UNIX)

IF(WIN32)
  ADD_DEFINITIONS(-D_CRT_SECURE_NO_DEPRECATE)
ENDIF(WIN32)

TARGET_LINK_LIBRARIES(map2jnx ${GDAL_LIBRARIES} ${PROJ_LIBRARIES} ${JPEG_LIBRARIES})


install(
    TARGETS map2jnx DESTINATION ${BIN_INSTALL_DIR}
)

=== 3rdparty/map2rmap/CMakeLists.txt ===
project(map2rmap)

# Required cmake version
cmake_minimum_required(VERSION 2.6.0)

find_package(Qt4 REQUIRED)
find_package(GDAL REQUIRED)
find_package(PROJ REQUIRED)
find_package(JPEG REQUIRED)

include(${QT_USE_FILE})

set(SRCS
    main.cpp
    CInputFile.cpp
)

set(HDRS
    main.h
    CInputFile.h
)

set(UIS

)

set(RCS


)

qt4_wrap_cpp(MOC_SRCS ${HDRS})
qt4_wrap_ui(UI_HDRS ${UIS})
qt4_add_resources(RC_SRCS ${RCS})

include_directories(
    ${CMAKE_BINARY_DIR}
    ${CMAKE_CURRENT_BINARY_DIR}
    ${GDAL_INCLUDE_DIRS}
    ${PROJ_INCLUDE_DIRS}
    ${JPEG_INCLUDE_DIRS}
)
if(WIN32)
    include_directories(
        ${CMAKE_SOURCE_DIR}/Win32/
    )
endif(WIN32)

link_directories(
    ${CMAKE_BINARY_DIR}/lib
)

add_executable( map2rmap
    ${SRCS}
    ${HDRS}
    ${UI_HDRS}
    ${RC_SRCS}
    ${MOC_SRCS}
    ${QM_FILES}
)

if(APPLE)
set_target_properties( map2rmap PROPERTIES
    RUNTIME_OUTPUT_DIRECTORY ${MAC_BUNDLE_PATH}/Contents/Resources
)
endif(APPLE)

if(MSVC)
  add_definitions(-D_CRT_SECURE_NO_DEPRECATE )
endif(MSVC)



target_link_libraries( map2rmap
    ${GDAL_LIBRARIES}
    ${PROJ_LIBRARIES}
    ${JPEG_LIBRARIES}
    ${QT_LIBRARIES}
)

install(
    TARGETS
      map2rmap
    DESTINATION
      ${BIN_INSTALL_DIR}
)

=== debian/changelog ===
qlandkartegt (1.7.5-2) unstable; urgency=low

  * Added patch to fix downloading of OSM mapnik tiles (Closes: #736550)
   - thanks to Christoph Biedl <debian.axhn@manchmal.in-ulm.de>
  * Bump Standards.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Mon, 27 Jan 2014 23:08:41 +0100

qlandkartegt (1.7.5-1) unstable; urgency=low

  * New upstream release.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Sat, 02 Nov 2013 11:31:32 +0100

qlandkartegt (1.7.4-1) unstable; urgency=low

  * New upstream release.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Sun, 22 Sep 2013 17:42:59 +0200

qlandkartegt (1.7.3-1) unstable; urgency=low

  * New upstream release.
  * Update copyright file.
  * Refreshed patch.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Mon, 09 Sep 2013 11:00:32 +0200

qlandkartegt (1.7.1-1) unstable; urgency=low

  * New upstream release.
  * Removed DMUA.
  * Updated copyriright file.
  * Fix VCS canonical URLs.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Sat, 03 Aug 2013 02:48:50 +0200

=== debian/control ===
--- 
+++ 
@@ -16,11 +16,10 @@
  libqt4-dev (>= 4.2),
  libqt4-opengl-dev,
  libqtwebkit-dev
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: http://www.qlandkarte.org
-XS-DM-Upload-Allowed: yes
-Vcs-Browser: http://git.debian.org/?p=collab-maint/qlandkartegt.git
-Vcs-Git: git://git.debian.org/git/collab-maint/qlandkartegt.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/qlandkartegt.git
+Vcs-Git: git://anonscm.debian.org/collab-maint/qlandkartegt.git
 
 Package: qlandkartegt
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

# one ring to rule them all ...
%:
	dh $@


override_dh_auto_configure:
	dh_auto_configure -- -DGPX_EXTENSIONS:BOOL=TRUE


override_dh_auto_install:
	# first do the regular job
	dh_auto_install
	# come up with icon in XPM format
	convert debian/qlandkartegt/usr/share/pixmaps/qlandkartegt.png \
		-resize 32x32 debian/qlandkartegt/usr/share/pixmaps/qlandkartegt.xpm
	rm debian/qlandkartegt/usr/share/pixmaps/qlandkartegt.png
	# rename upstream changelog
	cp changelog.txt changelog


override_dh_clean::
	# remove copied changelog
	-rm changelog
	dh_clean

=== debian/watch ===
version=3
opts=dversionmangle=s/~dfsg.*// \
http://sf.net/qlandkartegt/qlandkartegt-(\d)\.([\d\.]*)\.tar\.gz
